Module java.desktop
Package javax.print

## Class DocFlavor.SERVICE_FORMATTED

- java.lang.Object
- - javax.print.DocFlavor
  - - javax.print.DocFlavor.SERVICE_FORMATTED

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing class:
  DocFlavor

    public static class DocFlavor.SERVICE_FORMATTED
    extends DocFlavor

Class DocFlavor.SERVICE_FORMATTED provides predefined static constant DocFlavor objects for example doc flavors for service formatted print data.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.print.DocFlavor

`DocFlavor.BYTE_ARRAY, DocFlavor.CHAR_ARRAY, DocFlavor.INPUT_STREAM, DocFlavor.READER, DocFlavor.SERVICE_FORMATTED, DocFlavor.STRING, DocFlavor.URL`

### Field Summary

Fields
`static DocFlavor.SERVICE_FORMATTED` `PAGEABLE` Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Pageable"` (pageable object).
`static DocFlavor.SERVICE_FORMATTED` `PRINTABLE` Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Printable"` (printable object).
`static DocFlavor.SERVICE_FORMATTED` `RENDERABLE_IMAGE` Service formatted print data doc flavor with print data representation class name = `"java.awt.image.renderable.RenderableImage"` (renderable image object).

### Fields inherited from class javax.print.DocFlavor

`hostEncoding`

### Constructor Summary

Constructors
Constructor and Description
`SERVICE_FORMATTED(String className)` Constructs a new doc flavor with a MIME type of `"application/x-java-jvm-local-objectref"` indicating service formatted print data and the given print data representation class name.

### Method Summary

### Methods inherited from class javax.print.DocFlavor

`equals, getMediaSubtype, getMediaType, getMimeType, getParameter, getRepresentationClassName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PAGEABLE

    public static final DocFlavor.SERVICE_FORMATTED PAGEABLE

Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Pageable"` (pageable object).

#### PRINTABLE

    public static final DocFlavor.SERVICE_FORMATTED PRINTABLE

Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Printable"` (printable object).

#### RENDERABLE_IMAGE

    public static final DocFlavor.SERVICE_FORMATTED RENDERABLE_IMAGE

Service formatted print data doc flavor with print data representation class name = `"java.awt.image.renderable.RenderableImage"` (renderable image object).

### Constructor Detail

#### SERVICE_FORMATTED

    public SERVICE_FORMATTED(String className)

Constructs a new doc flavor with a MIME type of `"application/x-java-jvm-local-objectref"` indicating service formatted print data and the given print data representation class name.

Parameters:
  `className` - Fully-qualified representation class name.
Throws:
  `NullPointerException` - (unchecked exception) Thrown if `className` is null.